---
- name: Lesson 07 | Ansible
  hosts: all
  become: false

  vars:
    ansible_connection: local

  tasks:
  - name: Lesson 07 | Add zsh config
    blockinfile:
      path: ~/.zshrc
      block: |
        fpath=(${ASDF_DIR}/completions $fpath)
        autoload -Uz compinit
        compinit

  - name: Lesson 07 | Add zsh config
    lineinfile:
      path: ~/.zshrc
      regexp: ^plugins=
      line: plugins=(git docker)

  - name: Lesson 07 | Add git config
    blockinfile:
      path: ~/.gitconfig
      block: |
        [pretty]
            my = format:%C(yellow)%h%C(reset) | %C(dim green)%cd%C(reset) | %C(green)%cr%C(reset) | %C(cyan)%s%C(red)%d%C(red)%C(reset) %C(blue)[%an]%C(reset)
        [format]
            pretty = my
